#include<iostream>
using namespace std;

int main()
{
    int t,r=0,n,m,a[75001],i,q=1;
    cin>>t;
    for(r=0;r<t;r++)
    {
        
        cin>>n>>m;
        for( i=0;i<n;i++)
            cin>>a[i];
        prom1=a[0];
       
        for(i=0;i<m;i++)
            cin>>a[i];
       
    }

    for(r=0;r<t;r++)
        cout<<q<<endl;
    return 0;
}